Package jnr.constants.platform.linux.s390x

# Enum ErrnoAddressInfo

java.lang.Object
java.lang.Enum<ErrnoAddressInfo>
jnr.constants.platform.linux.s390x.ErrnoAddressInfo

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrnoAddressInfo>`, `java.lang.constant.Constable`, `Constant`

public enum ErrnoAddressInfo extends Enum<ErrnoAddressInfo> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EAI_ADDRFAMILY`
`EAI_AGAIN`
`EAI_BADFLAGS`
`EAI_FAIL`
`EAI_FAMILY`
`EAI_MEMORY`
`EAI_NODATA`
`EAI_NONAME`
`EAI_OVERFLOW`
`EAI_SERVICE`
`EAI_SOCKTYPE`
`EAI_SYSTEM`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static ErrnoAddressInfo`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ErrnoAddressInfo[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### EAI_ADDRFAMILY

public static final ErrnoAddressInfo EAI_ADDRFAMILY

### EAI_AGAIN

public static final ErrnoAddressInfo EAI_AGAIN

### EAI_BADFLAGS

public static final ErrnoAddressInfo EAI_BADFLAGS

### EAI_FAIL

public static final ErrnoAddressInfo EAI_FAIL

### EAI_FAMILY

public static final ErrnoAddressInfo EAI_FAMILY

### EAI_MEMORY

public static final ErrnoAddressInfo EAI_MEMORY

### EAI_NODATA

public static final ErrnoAddressInfo EAI_NODATA

### EAI_NONAME

public static final ErrnoAddressInfo EAI_NONAME

### EAI_OVERFLOW

public static final ErrnoAddressInfo EAI_OVERFLOW

### EAI_SERVICE

public static final ErrnoAddressInfo EAI_SERVICE

### EAI_SOCKTYPE

public static final ErrnoAddressInfo EAI_SOCKTYPE

### EAI_SYSTEM

public static final ErrnoAddressInfo EAI_SYSTEM

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static ErrnoAddressInfo[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ErrnoAddressInfo valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<ErrnoAddressInfo>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`